#include "PortableSnowmanPlayerComponent.h"
#include "Net/UnrealNetwork.h"

void UPortableSnowmanPlayerComponent::OnRep_Snowman()
{

}

void UPortableSnowmanPlayerComponent::OnRep_DeployPortableSnowmanInteraction()
{

}

void UPortableSnowmanPlayerComponent::Multicast_AddCharge_Cheat_Implementation()
{

}

void UPortableSnowmanPlayerComponent::DBD_AddPortableSnowmanCharge()
{

}

void UPortableSnowmanPlayerComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UPortableSnowmanPlayerComponent, _deployPortableSnowmanInteraction);
	DOREPLIFETIME(UPortableSnowmanPlayerComponent, _snowman);
}

UPortableSnowmanPlayerComponent::UPortableSnowmanPlayerComponent()
{
	this->_deployPortableSnowmanSurvivorInteractionClass = NULL;
	this->_hideInSnowmanSurvivorInteractionClass = NULL;
	this->_deployPortableSnowmanKillerInteractionClass = NULL;
	this->_hideInSnowmanKillerInteractionClass = NULL;
	this->_snowmanClass = NULL;
	this->_mrMarchClass = NULL;
}
